Arch: Pipe/Трубопровод

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Pipe and the translation is 18% complete.

Outdated translations are marked like this.
Other languages:
English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский

Arch Pipe.svg Arch Pipe

Menu location
Arch → Pipe Tools → Pipe
Workbenches
Arch
Default shortcut
P I
Introduced in version
-
See also
Arch PipeConnector

Описание

introduced in version 0.17 Этот инструмент позволяет создавать трубы с нуля или из выбранных объектов. Выбранные объекты должны быть частично (черновик, эскиз и т. Д.) И содержать один и только один открытый провод.

Использование

  1. Необязательно выберите линейную фигуру Part, такую как Draft Line, Draft Wire, или открытый Sketch
  2. Нажмите кнопку Arch Pipe.png Arch Pipe или нажмите P, затем клавиши I

Опции

  • Трубы разделяют общие свойства и поведение всехArch Components

Свойства

  • DATALength: Sets the length of this pipe, when it is not based on a wire
  • DATADiameter: The diameter of this pipe, when it is not based on a profile
  • DATABase: The base wire of this pipe, if any
  • DATAProfile: The base profile of this pipe. If not given, the pipe is cylindrical.

Typical workflow

  • Start by placing sanitary/hydraulic appliance items (below is an imported step file). You turn these objects into Arch Equipments by selecting them, and pressing the Arch Equipment button.

Arch pipe example 01.jpg

  • Arch Equipments now have a new SnapPoints property, which is a list of 3D vectors. This allows you to add custom snap points, to which you can snap when the new Draft Special snap button is turned on. Currently that property is only available to python, though. In the case above I added a new snap point at the exit of the wc appliance. The vectors inside SnapPoints appear on the model as white dots:
FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]

Arch pipe example 02.jpg

  • With the new "Snap Special" Draft Snap, you can now snap to these custom points:

Arch pipe example 03.jpg

  • Now we can draw our piping using Draft Lines, Draft Wires, or Sketches. The best way, though, is using only Draft Lines:

Arch pipe example 04.jpg

  • There is now a new Draft Slope tool that allows to change the slope of Draft lines, to, for example, 5% (0.05). So we can quickly give our waste lines a correct slope. Only z coordinates are change by this tool, so we only need to snap them back to each other, the top projection will stay unchanged.

Arch pipe example 05.jpg

  • We now only have to select all our lines, and press the Arch Pipe button. Arch Pipe works with any Part-based object that contains one and only one open wire.

Arch pipe example 06.jpg

  • We can now create connections by selecting 2 or 3 coincident tubes, and press the Arch PipeConnector button. If 3 pipes are selected, two of them must be aligned in order to create a tee element:

Arch pipe example 07.jpg

  • Changing the connectors radius doesn't change the length of the underlying base line, only the resulting tube (by changing their OffsetStart or OffsetEnd property). So you can still draw your line layout with only straight lines, without the need to care about curves and radius.

It is also possible to create Arch Pipes without a base line, in this case use its "Length" property to define the length.

Скрипты

Инструмент для труб/Pipe может использоваться в макросах и в консоли Python с использованием следующих функций:

Pipe = makePipe(baseobj=None, diameter=0, length=0, placement=None, name="Pipe")
  • Creates a Pipe object from the given baseobj and diameter.
    • baseobj is a Draft Line or Draft Wire.
    • If baseobj is omitted, a straight pipe can be created with just the diameter and the length in the Z direction.
  • If a placement is given, it is used.
import Draft, Arch

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2500, 200, 0)
p3 = FreeCAD.Vector(3100, 1000, 0)
p4 = FreeCAD.Vector(3500, 500, 0)
Line = Draft.makeWire([p1, p2, p3, p4])

Pipe = Arch.makePipe(Line, 200)
FreeCAD.ActiveDocument.recompute()

Pipe2 = Arch.makePipe(diameter=120, length=3000)
FreeCAD.ActiveDocument.recompute()